不忘初心
我们一直在努力

升级服务器PHP版本,该不该执着于版本号?

一直以来我心中总有个疑惑,升级VPS服务器PHP版本,是不是版本越高就越好,越高越就越稳定?在一般情况下,的确PHP版本越新性能越好,官方给出的PHP7.0 环境下比之前的版本速度提升在3倍左右,但对于小站点来说提升并不明显。
php7
目前PHP最高版本是7.0.13,然而我们一般使用的还是 PHP5.3.x,甚至还有相当一部分使用的PHP5.2.X版本(ZEN CART 1.39H)。主要还是很多模板和插件都不支持新的PHP版本,特别是一些很久没有更新的模板,只支持PHP5.2.X系列版本,到底选择什么版本,还得取决于您使用的什么样的ZENCART内核以及相应的模板和插件,而不是盲目的追求过高的版本。如果要兼容更多的程序,建议使用PHP5.3.X版,如果要追求更高的性能,推荐PHP5.6.X甚至PHP7.0系列,前提是你的外贸网站程序能够兼容。
ZEN CART 1.5.5b版本程序能够支持PHP7.0,然而部分没有更新的模板和插件在PHP7.0下有很多的兼容性问题,因此建议使用ZEN CART外贸网站的伙伴在选择PHP7.0版本的时候特别要注意自己使用的模板以及插件是否兼容哦,如果是商业模板建议咨询作者,不要盲目的进行升级与替换。
写在最后:

对于该不该升级PHP版本的问题,答案因人而异。我们要考虑站点模板和插件、网站程序是否兼容,而对于小站点升级PHP版本提升是微乎其微的,甚至可以说是没有必要多此一举。所以阿里新秀还是希望大家切勿盲目追求过高的版本,一定要根据自己程序最佳的PHP环境进行配置与选择,越新的版本,意味着BUG也比较多,稳定性方面也可能大打折扣,而老版本毕竟经过了长时间的检验。

PHP各个版本下载地址可以访问官方网站:PHP下载

未经允许不得转载:阿里新秀|专注于 Zen Cart 开发及外贸和企业网站建设! » 升级服务器PHP版本,该不该执着于版本号?

打个赏!或分享一下吧!

感谢您的支持,我们会继续努力的!

手机扫码支持
扫码打赏,您说多少就多少!

打开支付宝扫一扫,即可进行扫码打赏哦

更多

Powered By 阿里新秀,分享从这里开始,精彩与您同在!

评论 抢沙发

评论前必须登录!

 

不忘初心 勇于担当 坚持创新 力争优秀

关于我们联系我们